                                       // Example: 061 from Library Reference
#include "..\3D-Ware\dddware.h"
short    VXangle=0, VYangle=0, VZangle=0;
short    count;
short  main(void)
{
  dddLoadColors("EXAMPLE.COL");        // Load in the color palette called 'example.col' to 'standardpal'.
  dddInitVideo();                      // Initialise the mode 19 (0x13) video screen.
  dddSetPal(dddstandardpal);           // Set the VGA color resisters.
  dddInit3d();                         // Initialise the 3D-Ware graphics code.
  dddSetClipArea(0,319,0,199);         // Set up the clipping area for the full screen.
  dddSetHorizonClip(0,319,0,199,100);  // Set up the horizon clipping area for the full screen.
  for (count=0; count<100; count++)
  {
    VXangle+=0x40;                     // Rotate slowly around the Xangle.
    VZangle+=0x40;                     // Rotate slowly around the Zangle.
    dddHoriFade(VXangle, VZangle);     // Dump a banded horizon to the screen.
    dddScreenSwap();
  }
  dddRestoreVideo();
  dddClose3d();
  return 0;                            // Ciao.
}
