                                               // Example: 064 from Library Reference
#include "..\3D-Ware\dddware.h"
short    Xpos=0, Ypos=0, Zpos=400;
short    Xangle=0, Yangle=0, Zangle=0;
short    VXpos=0, VYpos=0, VZpos=0;
short    VXangle=0, VYangle=0, VZangle=0;
short    ShapeHandle;
char     Semaphores;
short  main(void)
{
  dddLoadColors("EXAMPLE.COL");                // Load in the color palette called 'example.col' to 'standardpal'.
  dddInitKeybd();
  dddInitVideo();                              // Sets up video to mode 19 VGA 320*200 256 cols.
  dddSetPal(dddstandardpal);                   // Set up the palette.
  dddInit3d();                                 // MUST be before calls to 3D-Ware libraries
  ShapeHandle = (dddShapeLoad("EXAMPLE.3D"));  // Load the .3D data file.
  dddSetViewPos16(VXpos,VYpos,VZpos);          // Set the viewers angles in the 3D engine.
  while (dddkeycode!= _ESC)                    // Loop a few times.
  {
    dddSetViewAngles(VXangle,VYangle,VZangle); // Set the viewers angles.
    dddCls();                                  // Clear the graphics screen.
    dddClearObjects();                         // Clear the viewing table.
    Yangle += 0x200;                           // Rotate the shape in the Y plane.
    Zangle += 0x200;                           // Rotate the shape in the Z plane.
    dddInsertObject16(DRW_MOBILE,ShapeHandle,Semaphores,Xpos,Ypos,Zpos,Xangle,Yangle,Zangle);
                                               // Insert an object to be rendered.
    dddDrawObjects();                          // Render all 3D objects we have inserted.
    dddScreenSwap();                           // Flip the real screen and the dummy screen.
  }
  dddRestoreVideo();                           // Reset video mode to original.
  dddRestoreKeybd();
  dddClose3d();                                // Clean up behind ourselves.
  return 0;                                    // Bye.
}
