                                               // Example: 070 from Library Reference
#include "..\3D-Ware\dddware.h"
long     Xpos=0, Ypos=0, Zpos=900;
long     VXpos=0, VYpos=-20, VZpos=0;
short    VXangle=0, VYangle=0, VZangle=0;
short    Xangle=0, Yangle=0, Zangle=0;
short    ShapeHandle;
char     Semaphores;
short  main(void)
{
  dddInitAll();
  ShapeHandle = (dddShapeLoad("EXAMPLE.3D"));  // Load the .3D data file.
  while  (!dddkeycode)
  {
    dddSetViewPos(VXpos,VYpos,VZpos);        // Set the viewers angles in the 3D world.
    dddSetViewAngles(VXangle,VYangle,VZangle); // Set the viewers angles.
    dddHoriFade(VXangle,VZangle);              // Clear the graphics screen.
    dddDotGrid();
    dddClearObjects();                         // Clear the viewing table.
    Zangle += 0x100;
    dddInsertObject(DRW_MOBILE,ShapeHandle,Semaphores,Xpos,Ypos,Zpos,Xangle,Yangle,Zangle);
                                               // Insert an object to be rendered.
    dddDrawObjects();                          // Render all 3D objects we have inserted.
    dddScreenSwap();                           // Flip the real screen and the dummy screen.
  }
  dddRestoreAll();
  return 0;                                    // Bye.
}
