                                               // Example: 116 from Library Reference
#include "..\3D-Ware\dddware.h"
short    Xpos=0, Ypos=0, Zpos=400;
short    Xangle=0, Yangle=0, Zangle=0;
short    VXpos=0, VYpos=0, VZpos=0;
short    VXangle=0, VYangle=0, VZangle=0;
short    ShapeHandle;
char     Semaphores;
short  main(void)
{
  dddInitAll();
  ShapeHandle = (dddShapeLoad("EXAMPLE.3D"));  // Load the .3D data file.
  dddSetViewPos16(VXpos,VYpos,VZpos);          // Set the viewers angles in the 3D engine.
  while  (!dddkeycode)                         // Loop a few times.
  {
    dddCls();                                  // Clear the graphics screen.
    dddPrint7(2,70,0,"PRESS ANY KEY TO EXIT");
    Yangle += 0x200;                           // Rotate the shape in the Y plane.
    Zangle += 0x200;                           // Rotate the shape in the Z plane.
    dddSetViewAngles(VXangle,VYangle,VZangle); // Set the viewers angles.
    dddClearObjects();                         // Clear the viewing table.
    dddInsertObject16(DRW_MOBILE,ShapeHandle,Semaphores,Xpos,Ypos,Zpos,Xangle,Yangle,Zangle);
                                               // Insert an object to be rendered.
    dddDrawObjects();                          // Render all 3D objects we have inserted.
    dddScreenSwap();                           // Flip the real screen and the dummy screen.
  }
  dddRestoreAll();                             // Clean up all used resources.
  return 0;                                    // Bye.
}
