;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;                                             ;;;;;;;;
;;;;;;;;  Example Shape #2-cannot be sorted by the   ;;;;;;;;
;;;;;;;;  correct ordering of its facets.            ;;;;;;;;
;;;;;;;;                                             ;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	SHAPE 10000

;;;;;;;;;vertex list;;;;;;;;;;;;;;;;;;;;;;

	VERTEX 01,-150,-50,-50
	VERTEX 02,-50,-50,-50
	VERTEX 03,-50,-150,-50
	VERTEX 04,50,-150,-50
	VERTEX 05,50,-50,-50
	VERTEX 06,150,-50,-50
	VERTEX 07,150,+50,-50
	VERTEX 08,50,+50,-50
	VERTEX 09,50,+150,-50
	VERTEX 10,-50,+150,-50
	VERTEX 11,-50,+50,-50
	VERTEX 12,-150,+50,-50

	VERTEX 101,-150,-50,50
	VERTEX 102,-50,-50,50
	VERTEX 103,-50,-150,50
	VERTEX 104,50,-150,50
	VERTEX 105,50,-50,50
	VERTEX 106,150,-50,50
	VERTEX 107,150,+50,50
	VERTEX 108,50,+50,50
	VERTEX 109,50,+150,50
	VERTEX 110,-50,+150,50
	VERTEX 111,-50,+50,50
	VERTEX 112,-150,+50,50

;;;;;;;;;facet list;;;;;;;;;;;;;;;;;;;;;;;

	DRWPOLY 36,02,01,101,102	;The facets have been listed here in the
	DRWPOLY 37,05,04,104,105	;optimum order. The sorting is the best
	DRWPOLY 38,08,07,107,108	;it can possibly be using basic facet
	DRWPOLY 37,11,10,110,111	;ordering.

	DRWPOLY 36,12,11,111,112	;Unfortunately it is not correct and is
	DRWPOLY 37,09,08,108,109	;unresolvable using this method of sorting.
	DRWPOLY 36,06,05,105,106	;
	DRWPOLY 35,03,02,102,103	;

	DRWPOLY 34,01,12,112,101	;These 4 seperate facets are the end-caps
	DRWPOLY 34,04,03,103,104	;of the 4 "arms" of the cross.
	DRWPOLY 34,07,06,106,107	;
	DRWPOLY 34,10,09,109,110	;

	DRWPOLY 32,112,111,102,101	;This is the back '+' face, made up of 5
	DRWPOLY 32,105,104,103,102	;seperate square facets.
	DRWPOLY 32,108,107,106,105	;
	DRWPOLY 32,111,110,109,108	;
	DRWPOLY 32,111,108,105,102	;

	DRWPOLY 32,01,02,11,12  	;This is the front '+' face, made up of 5
	DRWPOLY 32,02,03,04,05  	;seperate square facets.
	DRWPOLY 32,05,06,07,08  	;
	DRWPOLY 32,08,09,10,11  	;
	DRWPOLY 32,02,05,08,11  	;

	RETURN
	END






















