                                               // Example: 013 from Library Reference
#include "..\3D-Ware\dddware.h"
short    Xpos=0, Ypos=0, Zpos=400;
short    Xangle=0, Yangle=0, Zangle=0;
short    VXpos=0, VYpos=0, VZpos=0;
short    VXangle=0, VYangle=0, VZangle=0;
short    ShapeHandle;
char     Semaphores;
short  main(void)
{
  dddInitAll();
  ShapeHandle = (dddShapeLoad("EXAMPLE.3D"));  // Load the .3D data file.
  VXangle = VYangle = VZangle = 0;             // Set viewers angles to 0,0,0
  VXpos = VYpos = VZpos = 0;                   // Set viewer to centre of 3D world scene.
  dddSetViewPos16(VXpos,VYpos,VZpos);          // Set the viewers angles in the 3D engine.
  dddSetViewAngles(VXangle,VYangle,VZangle);   // Set the viewers position in the 3D engine.
  while  (!dddkeycode)                         // Wait until a key is pressed.
  {
    dddSetViewAngles(VXangle,VYangle,VZangle); // Set the viewers angles.
    dddCls();                                  // Clear the mode 19 (0x13) graphics screen.
    dddClearObjects();                         // Clear the viewing table.
    Yangle += 0x200;                           // Rotate the shape in the Y plane.
    Zangle += 0x200;                           // Rotate the shape in the Z plane.
    dddInsertObject16(DRW_MOBILE,ShapeHandle,Semaphores,Xpos,Ypos,Zpos,Xangle,Yangle,Zangle);
                                               // Insert an object to be rendered.
    dddDrawObjects();                          // Render all 3D objects we have inserted.
    dddScreenSwap();                           // Flip the real screen and the dummy screen.
  }
  dddRestoreAll();                             // Clean up ready for exit.
  return 0;                                    // Bye.
}
