                                               // Example: 034 from Library Reference
#include "..\3D-Ware\dddware.h"
short    Xpos=0, Ypos=0, Zpos=400;
short    Xangle=0, Yangle=0, Zangle=0;
short    VXpos=0, VYpos=0, VZpos=0;
short    VXangle=0, VYangle=0, VZangle=0;
short    ShapeHandle;
char     Semaphores;
short  main(void)
{
  dddInitAll();
  ShapeHandle = (dddShapeLoad("example.3D"));  // Load the .3D data file.
  dddSetViewPos16(VXpos,VYpos,VZpos);          // Set the viewers angles in the 3D engine.
  while  (!dddkeycode)                         // Loop until a key is pressed.
  {
    dddSetViewAngles(VXangle,VYangle,VZangle); // Set the viewers angles.
    dddHoriFade(VXangle, VZangle);
    dddPrint6(15,20,2,"PRESS ANY KEY TO CONTINUE.");
    dddClearObjects();                         // Clear the viewing table.
    Yangle += 0x100;                           // Rotate the shape in the Y plane.
    Zangle += 0x200;                           // Rotate the shape in the Z plane.
    dddInsertObject16(DRW_MOBILE,ShapeHandle,Semaphores,Xpos,Ypos,Zpos,Xangle,Yangle,Zangle);
                                               // Insert an object to be rendered.
    dddDrawObjects();                          // Render all 3D objects we have inserted.
    dddScreenSwap();                           // Flip the real screen and the dummy screen.
  }
  dddFadeDown(dddstandardpal);                 // Fade the current palette to black.
  dddLoadColors("bevpal.col");                 // Load another palette to 'standardpal'.
  dddFade(dddstandardpal);                     // Fade from black to the new palette.
  dddkeycode=0;                                // Clear keycode.
  while  (!dddkeycode);                        // Wait for a keypress before quitting.
  dddRestoreAll();
  return 0;                                    // Bye.
}
