                                               // Example: 150 from Library Reference
#include "..\3D-Ware\dddware.h"
#include  <stdio.h>
short    VXpos=0, VYpos=-20, VZpos=0;
short    Xpos=0, Ypos=0, Zpos=900;
short    VXangle=0, VYangle=0, VZangle=0;
short    Xangle=0, Yangle=0, Zangle=0;
short    ShapeHandle;
char     Semaphores;
short  main(void)
{
  dddInitAll();
  ShapeHandle = (dddShapeLoad("EXAMPLE.3D"));  // Load the .3D data file.
  while  (dddkeycode!=_ESC)
  {
    if  (dddkeypressed[_LF_ARROW])
    {
      VZangle -= 0x40;                         // Rotate the viewer in the Y plane.
    }
    if  (dddkeypressed[_RT_ARROW])
    {
      VZangle += 0x40;                         // Rotate the viewer in the Y plane.
    }
    if  (dddkeypressed[_UP_ARROW])
    {
      VXangle -= 0x40;                         // Rotate the viewer in the Y plane.
    }
    if  (dddkeypressed[_DN_ARROW])
    {
      VXangle += 0x40;                         // Rotate the viewer in the Y plane.
    }
    dddSetViewPos16(VXpos,VYpos,VZpos);        // Set the viewers angles in the 3D engine.
    dddSetViewAngles(VXangle,VYangle,VZangle); // Set the viewers angles.
    dddHoriFade(VXangle,VZangle);              // Clear the graphics screen.
    dddDotGrid();
    dddClearObjects();                         // Clear the viewing table.
    dddInsertObject16(DRW_MOBILE,ShapeHandle,Semaphores,Xpos,Ypos,Zpos,Xangle,Yangle,Zangle);
                                               // Insert an object to be rendered.
    dddDrawObjects();                          // Render all 3D objects we have inserted.
    dddScreenSwap();                           // Flip the real screen and the dummy screen.
  }
  dddRestoreAll();
  return 0;                                    // Bye.
}
